8 Replies Latest reply on Apr 27, 2020 7:12 AM by adammcc81

    Dependency Error when updating HPE 6.7 to HPE 7.0 vsphere

    adammcc81 Novice

      I successfully updated another HPE host yesterday using the same method.  Today, I'm trying another host.  I tried the standard update command and the command using the profile and neither work.  I'm already running vCenter 7 on the host as an appliance.  I prefer to update via cli if possible.  The host is running HPE Customized Image ESXi 6.7.0 Update 3 version 670.U3.10.5.0 released on December 2019 and based on VMware ESXi 6.7.0 Update 3.

       

      :~] esxcli software vib update -d /vmfs/volumes/datastore1/patc

      h/VMware_ESXi_7.0.0_15843807_HPE_700.0.0.10.5.0.108_April2020_depot.zip

      [DependencyError]

      VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0, b                                                                                                              ut the requirement cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires qedentv_ver = X.1                                                                                                                     1.15.0, but the requirement cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires qedentv_ver = X.11                                                                                                                     .15.0, but the requirement cannot be satisfied within the ImageProfile.

      VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires com.vmware.d                                                                                                                     riverAPI-9.2.2.0, but the requirement cannot be satisfied within the ImageProfil                                                                                                                     e.

      VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires vmkapi_2_2_0                                                                                                                     _0, but the requirement cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qfle3f_1.0.75.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0,                                                                                                                      but the requirement cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_3_0_0, bu                                                                                                                     t the requirement cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_2_0_0, bu                                                                                                                     t the requirement cannot be satisfied within the ImageProfile.

      Please refer to the log file for more details.

      [root@wellsesxi02:~] esxcli software sources profile list -d /vmfs/volumes/datastore1/patch/VMware_ESXi_7.

      0.0_15843807_HPE_700.0.0.10.5.0.108_April2020_depot.zip

      Name                                 Vendor                      Acceptance Level  Creation Time        Mo                                                                                           dification Time

      -----------------------------------  --------------------------  ----------------  -------------------  --                                                                                           -----------------

      HPE-Custom-AddOn_700.0.0.10.5.0-108  Hewlett Packard Enterprise  PartnerSupported  2020-03-26T19:47:53  20                                                                                           20-03-26T19:47:53

      [root@wellsesxi02:~] esxcli software profile update -d /vmfs/volumes/datastore1/patch/VMware_ESXi_7.0.0_15

      843807_HPE_700.0.0.10.5.0.108_April2020_depot.zip -p HPE-Custom-Addon_700.0.0.10.5.0-108

      [NoMatchError]

      No image profile found with name 'HPE-Custom-Addon_700.0.0.10.5.0-108'

               id = HPE-Custom-Addon_700.0.0.10.5.0-108

      Please refer to the log file for more details.

      [root@wellsesxi02:~] esxcli software profile update -d /vmfs/volumes/datastore1/patch/VMware_ESXi_7.0.0_15

      843807_HPE_700.0.0.10.5.0.108_April2020_depot.zip -p HPE-Custom-AddOn_700.0.0.10.5.0-108

      [DependencyError]

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_2_0_0, but the requirement cannot b                                                                                           e satisfied within the ImageProfile.

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires qedentv_ver = X.11.15.0, but the requirement                                                                                            cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_3_0_0, but the requirement cannot b                                                                                           e satisfied within the ImageProfile.

      VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires com.vmware.driverAPI-9.2.2.0, but the                                                                                            requirement cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires qedentv_ver = X.11.15.0, but the requiremen                                                                                           t cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qfle3f_1.0.75.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0, but the requirement cannot                                                                                            be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0, but the requirement cannot                                                                                            be satisfied within the ImageProfile.

      VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires vmkapi_2_2_0_0, but the requirement ca                                                                                           nnot be satisfied within the ImageProfile.

      Please refer to the log file for more details.

      [root@wellsesxi02:~] esxcli software profile update -p HPE-Custom-AddOn_700.0.0.10.5.0-108 -d /vmfs/volume

      s/datastore1/patch/VMware_ESXi_7.0.0_15843807_HPE_700.0.0.10.5.0.108_April2020_depot.zip

      [DependencyError]

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires qedentv_ver = X.11.15.0, but the requirement                                                                                            cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires qedentv_ver = X.11.15.0, but the requiremen                                                                                           t cannot be satisfied within the ImageProfile.

      VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires com.vmware.driverAPI-9.2.2.0, but the                                                                                            requirement cannot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_2_0_0, but the requirement cannot b                                                                                           e satisfied within the ImageProfile.

      VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_3_0_0, but the requirement cannot b                                                                                           e satisfied within the ImageProfile.

      VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires vmkapi_2_2_0_0, but the requirement ca                                                                                           nnot be satisfied within the ImageProfile.

      VIB QLC_bootbank_qfle3f_1.0.75.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0, but the requirement cannot                                                                                            be satisfied within the ImageProfile.

      VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0, but the requirement cannot                                                                                            be satisfied within the ImageProfile.

      Please refer to the log file for more details.

      [root@wellsesxi02:~] [root@wellsesxi02:~] esxcli software profile update -p HPE-Custom-AddOn_700.0.0.10.5.

      0-108 -d /vmfs/volume

      -sh: [root@wellsesxi02:~]: not found

      [root@wellsesxi02:~] s/datastore1/patch/VMware_ESXi_7.0.0_15843807_HPE_700.0.0.10.5.0.108_April2020_depot.

      zip

      -sh: s/datastore1/patch/VMware_ESXi_7.0.0_15843807_HPE_700.0.0.10.5.0.108_April2020_depot.zip: not found

      [root@wellsesxi02:~]  [DependencyError]

      -sh: [DependencyError]: not found

      [root@wellsesxi02:~]  VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires qedentv_ver = X.11.15.0

      , but the requirement cannot be satisfied within the ImageProfile.

      -sh: VIB: not found

      [root@wellsesxi02:~]  VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires qedentv_ver = X.11.15.

      0, but the requirement cannot be satisfied within the ImageProfile.

      -sh: VIB: not found

      [root@wellsesxi02:~]  VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires com.vmware.driver

      API-9.2.2.0, but the requirement cannot be satisfied within the ImageProfile.

      -sh: VIB: not found

      [root@wellsesxi02:~]  VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_2_0_0, but the

      requirement cannot be satisfied within the ImageProfile.

      -sh: VIB: not found

      [root@wellsesxi02:~]  VIB QLC_bootbank_qedf_1.3.41.0-1OEM.600.0.0.2768847 requires vmkapi_2_3_0_0, but the

      requirement cannot be satisfied within the ImageProfile.

      -sh: VIB: not found

      [root@wellsesxi02:~]  VIB HPE_bootbank_scsi-hpdsa_5.5.0.68-1OEM.550.0.0.1331820 requires vmkapi_2_2_0_0, b

      ut the requirement cannot be satisfied within the ImageProfile.

      -sh: VIB: not found

      [root@wellsesxi02:~]  VIB QLC_bootbank_qfle3f_1.0.75.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0, but t

      he requirement cannot be satisfied within the ImageProfile.

      -sh: VIB: not found

      [root@wellsesxi02:~]  VIB QLC_bootbank_qedi_2.10.19.0-1OEM.670.0.0.8169922 requires vmkapi_2_2_0_0, but th

      e requirement cannot be satisfied within the ImageProfile.^C

      [root@wellsesxi02:~]